#ten {
    overflow: hidden;
    position: relative;
    padding: 129px 64px;
    background: #3E1815;
}

#ten::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    pointer-events: none;
    opacity: 0.01;
    top: 0;
    left: 0;
    background: url(../assets/pattern.svg) top / contain repeat;
    z-index: 0;
}

.ten {
    display: flex;
    flex-direction: column;
    gap: 80px;
    max-width: 1488px;
    margin: 0 auto;
    position: relative;
}

.ten_title {
    background: linear-gradient(180deg, #EED06C 0%, #D9B437 40.87%, #EED06C 57.21%, #D9B437 75%, #D9B437 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: left;
    font-family: 'Colus';
    font-size: 64px;
    line-height: 110%;
    letter-spacing: -0.64px;
}

.ten_gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
    transition: all 0.6s ease;
    position: relative;
    max-height: 865px;
    overflow: hidden;
}

.ten_gallery img {
    width: 100%;
    height: 267px;
    border-radius: 8px;
    border: 2px solid #7C5E2A;
    object-fit: cover;
    cursor: pointer;
    transition: 0.3s;
}

.ten_body {
    position: relative;
}

.ten_hover {
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: 0.3s ease;
    border-radius: 100px;
    border: 1px solid #ffffff1f;
    background: #ffffff3d;
    width: 56px;
    height: 56px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    pointer-events: none;
}

.ten_popup {
    position: fixed;
    inset: 0;
    background: #3e1815e6;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 100;
}

.ten_popup.active {
    display: flex;
}

.ten_popup_content {
    position: relative;
    max-width: 90%;
    max-height: 90%;
    text-align: center;
}

.ten_popup_content img {
    max-width: 100%;
    max-height: 70vh;
    aspect-ratio: 16/9;
}


.ten_popup_controls {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 36px;
    padding: 44px 0 0;
}

#ten_popup_counter {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 32px;
    color: #FFF;
    text-align: center;
    font-family: "Helvetica Neue";
    font-size: 18px;
    line-height: 130%;
}

.ten_popup_arrow {
    cursor: pointer;
    font-size: 22px;
    user-select: none;
}

.counter_line {
    width: 1px;
    height: 26px;
    background: #ffffff1f;
}

.ten_popup_download,
.ten_popup_close {
    border-radius: 12px;
    background: #ffffff1f;
    display: inline-flex;
    padding: 24px;
    align-items: center;
    gap: 16px;
    cursor: pointer;
    position: absolute;
    z-index: 0;
    backdrop-filter: blur(4px);
}

.ten_popup_download::before,
.ten_popup_close::before {
    content: "";
    position: absolute;
    inset: 0;
    padding: 1px;
    border-radius: inherit;
    background: linear-gradient(135deg, #fff, transparent, #fff);
    -webkit-mask: linear-gradient(#000 0 0) content-box, linear-gradient(#000 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    z-index: -1;
    pointer-events: none;
}

.ten_popup_download {
    bottom: 100px;
    right: 36px;
}

.ten_popup_close {
    border-radius: 100px;
    top: -85px;
    right: -90px;
}

.ten_title,
.ten_body {
    opacity: 0;
    transition: all 0.6s ease;
}

.ten_title {
    transform: translateX(-60px);
}

.show-left {
    opacity: 1;
    transform: translateX(0);
}

.ten_body {
    transform: translateY(40px);
}

.show {
    opacity: 1;
    transform: translateY(0);
}

.galery_hide {
    display: flex;
    height: 342px;
    justify-content: center;
    align-items: end;
    background: linear-gradient(180deg, #3e181500 0%, #3E1815 100%), linear-gradient(180deg, #3e181500 0%, #3E1815 100%);
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    transition: all 0.6s ease;
    border-radius: 0 0 8px 8px;
    padding: 0 0 64px;
}

.galery_hide_but {
    width: 272px;
    display: flex;
    height: 55px;
    padding: 2px;
    justify-content: center;
    align-items: center;
    position: relative;
    border-radius: 100px;
    background: linear-gradient(0deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
    pointer-events: all;
    overflow: hidden;
}

.galery_hide_inbut {
    width: 100%;
    display: flex;
    text-shadow: 0 0 12px #B28E33;
    text-align: center;
    font-family: 'HelveticaNeue-Medium';
    font-size: 16px;
    line-height: 130%;
    background: linear-gradient(180deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
    border-radius: 100px;
    z-index: 2;
    cursor: pointer;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.galery_hide_inbut::before {
    content: '';
    pointer-events: none;
    position: absolute;
    top: 2px;
    left: 2px;
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    border-radius: 52px;
    background: linear-gradient(0deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
    opacity: 0;
    transition: all 0.3s ease;
    z-index: -1;
}

.galery_hide_inbut::after {
    content: '';
    position: absolute;
    inset: 0;
    background: url(../assets/left.webp) left center / 69px 100% no-repeat, url(../assets/right.webp) right center / 69px 100% no-repeat;
    opacity: 0.5;
    z-index: -1;
    pointer-events: none;
}

.galery_hide_inbut:hover::before {
    opacity: 1;
}

.ten_gallery.show_all {
    max-height: 1848px;
}

.galery_hide.show_all {
    opacity: 0;
    pointer-events: none;
}

@media (min-width: 950px) {
    .ten_body:hover .ten_hover {
        opacity: 1;
    }
}

@media (max-width: 1600px) {

    .ten_gallery {
        max-height: 775px;
    }

    .ten_title {
        font-size: 56px;
        line-height: 110%;
        letter-spacing: -0.56px;
    }

    #ten {
        padding: 112px 64px;
    }

    .ten_gallery img {
        height: 234px;
    }

    .ten_popup_close {
        right: 0;
    }
}

@media (max-width: 1400px) {
    .ten_gallery {
        max-height: 620px;
    }

    .ten_title {
        font-size: 32px;
        line-height: 110%;
        letter-spacing: -0.32px;
    }

    .ten_gallery {
        gap: 24px;
    }

    .ten {
        gap: 32px;
    }

    .ten_gallery img {
        height: 184px;
        border-radius: 8px;
        border: 2px solid #7C5E2A;
    }
}

@media (max-width: 950px) {

    .galery_hide {
        border-radius: 0;
        padding: 0 94px 80px;
    }

    .galery_hide_but {
        width: 100%;
        margin-bottom: 0px;
        height: 42px;
    }

    .ten {
        max-width: 488px;
    }

    .ten_title {
        text-align: center;
    }

    .ten_gallery {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        max-height: 560px;
        overflow: hidden;
    }

    #ten {
        padding: 80px 24px;
    }

    .ten_popup_download {
        display: none;
    }

    .ten_popup_close {
        top: -70px;
    }

    .ten_popup_close {
        padding: 16px;
    }

    .ten_popup_close svg {
        width: 16px;
        height: 16px;
    }

    #ten::before {
        background: url(../assets/pattern.svg) top / cover repeat;
    }
}


@media (max-width: 550px) {
    .galery_hide {
        border-radius: 0;
        padding: 0 24px 64px;
    }
}